package com.yunfeiyun.agmp.common.framework.validator.annotation;

import com.yunfeiyun.agmp.common.framework.validator.ParmSqlValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
//指定检验器类
@Constraint(validatedBy = ParmSqlValidator.class)
public @interface ParamSqlInjection {

    String message() default "存在sql注入风险";

    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};

}
